Description

Sprite Priority On causes syntax error

Sprite Priority True generates aoz.sprites.setPriority(this.aoz.platformTrue); - but the order of the sprites is unaffected

History

#1 - 09/28/2021 03:07 PM - Francois Lionet
- Status changed from New to Feedback

- Assignee set to Francois Lionet
Cannot reproduce. Do you have an example for me?

#2 - 10/04/2021 10:44 AM - malcolm harvey

If you put in say eg: Sprite Priority on when you try to transpile it stops on error.

But if you put in Sprite Priority True or Sprite Priority False it transpiles but does nothing? If it does not sure what?

It claims in the notes, =onOff parameter, but again you cant specify Sprite Priority on syntax error, Sprite Priority off not available thinks off is a
variable not declared in white txt.

#3 - 10/04/2021 10:59 AM - malcolm harvey

Ive also been looking at Bobs and Seams in there, they only have a cmd Priority on or Priority off no auctual Bob Priority cmd, unlike the sprites which
have Sprite Priority on / off, seams they both seam to say they do the same thing though effect the y position depending on hotspot.

eg:

Sprite Priority (cmd)..under sprites

When SPRITE PRIORITY ON is used, Bobs with the highest y-coordinates take priority on the screen

Sprite PRIORITY OFF is used, resets them.

Priority On (cmd)..under bobs
When PRIORITY ON is used, Bobs with the highest y-coordinates take priority on the screen
When PRIORITY OFF is used, resets them.

| dunno maybe it should be called Bob Priority On and Bob Priority Off as well to be consistant.

#4 - 02/13/2022 10:18 PM - David Baldwin

- Status changed from Feedback to Resolved

Seems to be working now.
